GET
/gateway/{gateway_id}/logs/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/gateway/{gateway_id}/logs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/gateway/{gateway_id}/logs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/gateway/{gateway_id}/logs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the output of the Load Balancer’s instances as a snapshot, one entry for each instance. It is not a live stream; call again for newer lines. Limit the answer with the last number of lines or of seconds.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”gateway_id
required
integer
Load Balancer ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
last_n_lines
integer
Return only this many of the latest lines of each instance.
last_n_seconds
integer
Return only the lines of the last this many seconds.
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”The logs
Media typeapplication/json
object
code
integer
message
string
data
object
logs
Array<object>
object
pod_name
The instance the lines come from.
string
container_name
string
logs
The log lines.
Array<string>
errors
object
Example
{ "code": 200, "message": "Success", "data": { "logs": [ { "pod_name": "lb-12-7d9c5b6f4-x2k8p", "container_name": "proxy", "logs": [ "[2026-10-21T11:20:01.123Z] \"GET /health HTTP/1.1\" 200 - 0 2 1" ] } ] }, "errors": {}}The project ID is missing or is not a number.
Media typeapplication/json
object
code
integer
message
string
data
object
errors
string
Example
{ "code": 400, "message": "Bad Request", "data": {}, "errors": "Project ID is missing or invalid"}No Load Balancer with that ID in the project and region.
Media typeapplication/json
object
code
integer
message
string
data
object
errors
string
Example
{ "code": 404, "message": "Bad Request", "data": {}, "errors": "Gateway not found"}